package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import java.util.Date;
import java.util.List;

import cn.com.qmth.examcloud.core.questions.base.enums.PaperStructType;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;
import io.swagger.annotations.ApiModelProperty;

public class RandomPaperListVo {

	@ApiModelProperty("id")
	private String id;
	@ApiModelProperty("模板名称")
	private String name;

	private Long courseId;
	@ApiModelProperty("课程代码")
	private String courseCode;
	@ApiModelProperty("课程名称")
	private String courseName;

	private PaperStructType paperStructType;
	@ApiModelProperty("组卷类型")
	private String paperStructTypeStr;

	@ApiModelProperty("组卷结构id")
	private String paperStructId;

	@ApiModelProperty("结构名称")
	private String paperStructName;
	private Boolean enable;
	@ApiModelProperty("状态")
	private String enableStr;
	@ApiModelProperty("更新时间")
	private Date updateDate;
	@ApiModelProperty("操作人")
	private String updateByName;
	private Long updateBy;

	private PaperType paperType;

	private List<PaperVo> papers;
	
	private List<String> paperIds;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public PaperStructType getPaperStructType() {
		return paperStructType;
	}

	public void setPaperStructType(PaperStructType paperStructType) {
		this.paperStructType = paperStructType;
	}

	public String getPaperStructTypeStr() {
		return paperStructTypeStr;
	}

	public void setPaperStructTypeStr(String paperStructTypeStr) {
		this.paperStructTypeStr = paperStructTypeStr;
	}

	public String getPaperStructId() {
		return paperStructId;
	}

	public void setPaperStructId(String paperStructId) {
		this.paperStructId = paperStructId;
	}

	public String getPaperStructName() {
		return paperStructName;
	}

	public void setPaperStructName(String paperStructName) {
		this.paperStructName = paperStructName;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getEnableStr() {
		return enableStr;
	}

	public void setEnableStr(String enableStr) {
		this.enableStr = enableStr;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public String getUpdateByName() {
		return updateByName;
	}

	public void setUpdateByName(String updateByName) {
		this.updateByName = updateByName;
	}

	public Long getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(Long updateBy) {
		this.updateBy = updateBy;
	}

	public PaperType getPaperType() {
		return paperType;
	}

	public void setPaperType(PaperType paperType) {
		this.paperType = paperType;
	}

	public List<PaperVo> getPapers() {
		return papers;
	}

	public void setPapers(List<PaperVo> papers) {
		this.papers = papers;
	}

	public List<String> getPaperIds() {
		return paperIds;
	}

	public void setPaperIds(List<String> paperIds) {
		this.paperIds = paperIds;
	}

}
